Debian Bug report logs - #591456
xen-utils-common: The script hotplugpath.sh is missing in /etc/xen/scripts

version graph

Package: xen-utils-common; Maintainer for xen-utils-common is Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>; Source for xen-utils-common is src:xen.

Reported by: Gregory Fardel <gregory@fardel.net>

Date: Tue, 3 Aug 2010 09:09:02 UTC

Severity: important

Found in version xen-common/4.0.0-1

Fixed in version xen-common/4.1.0~rc6-1

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#591456; Package xen-utils-common. (Tue, 03 Aug 2010 09:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gregory Fardel <gregory@fardel.net>:
New Bug report received and forwarded. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Tue, 03 Aug 2010 09:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gregory Fardel <gregory@fardel.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xen-utils-common: The script hotplugpath.sh is missing in /etc/xen/scripts
Date: Tue, 03 Aug 2010 10:59:45 +0200
Package: xen-utils-common
Version: 4.0.0-1
Severity: important




When Xen is configured in routed mode, restarting xend fails because the script hotplugpath.sh is missing.


Please see below for more information.


***

root@eliott:~# /etc/init.d/xend restart
Restarting Xen daemons: xend/etc/xen/scripts/network-route: line 20: /etc/xen/scripts/hotplugpath.sh: No such file or directory
/etc/xen/scripts/network-route: line 28: /proc/sys/net/ipv4/conf/eth/proxy_arp: No such file or directory
/etc/xen/scripts/network-route: line 20: /etc/xen/scripts/hotplugpath.sh: No such file or directory
/etc/xen/scripts/network-route: line 28: /proc/sys/net/ipv4/conf/eth/proxy_arp: No such file or directory
 xend/etc/xen/scripts/network-route: line 20: /etc/xen/scripts/hotplugpath.sh: No such file or directory
/etc/xen/scripts/network-route: line 28: /proc/sys/net/ipv4/conf/eth/proxy_arp: No such file or directory
/etc/xen/scripts/network-route: line 20: /etc/xen/scripts/hotplugpath.sh: No such file or directory
/etc/xen/scripts/network-route: line 28: /proc/sys/net/ipv4/conf/eth/proxy_arp: No such file or directory
/etc/xen/scripts/network-route: line 20: /etc/xen/scripts/hotplugpath.sh: No such file or directory
/etc/xen/scripts/network-route: line 28: /proc/sys/net/ipv4/conf/eth/proxy_arp: No such file or directory
.
root@eliott:~# 



-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-xen-amd64 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages xen-utils-common depends on:
ii  gawk                      1:3.1.7.dfsg-5 GNU awk, a pattern scanning and pr
ii  lsb-base                  3.2-23.1       Linux Standard Base 3.2 init scrip
ii  udev                      160-1          /dev/ and hotplug management daemo
ii  xenstore-utils            4.0.1~rc3-1    Xenstore utilities for Xen

xen-utils-common recommends no packages.

xen-utils-common suggests no packages.

-- Configuration Files:
/etc/xen/xend-config.sxp changed:
(network-script network-route)
(vif-script     vif-route)
(dom0-min-mem 196)
(enable-dom0-ballooning yes)
(total_available_memory 0) 
(dom0-cpus 0)
(vncpasswd '')


-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#591456; Package xen-utils-common. (Tue, 03 Aug 2010 10:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to ralfheise@freenet.de:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Tue, 03 Aug 2010 10:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 591456@bugs.debian.org (full text, mbox):

From: ralfheise@freenet.de
To: 591456@bugs.debian.org
Subject: xen-utils-common: The script hotplugpath.sh is missing in /etc/xen/scripts
Date: Tue, 03 Aug 2010 12:41:28 +0200
[Message part 1 (text/plain, inline)]
Can confirm this. You may workaroung this by configuring
 
(network-script 'network-route netdev=eth0')
 
in /etc/xen/xend-config.sxp. xend however still fails to start afterwards:
 
root@n1:~# /etc/init.d/xend start
Starting Xen daemons: xenstored xenconsoled xend failed!
root@n1:~# xend start ; echo $?
1
 
I'm unsure why this happens, however I suspect a wrong library path for python:
 
root@n1:~# strace xend start 2>&1 | grep "ENOENT" | grep "python/xen" 
stat("/usr/lib/xen-4.0/bin/../lib/python/xen/__init__", 0x7fff06a69560) = -1 ENOENT (No such file or directory)
open("/usr/lib/xen-4.0/bin/../lib/python/xen/__init__.so", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/lib/xen-4.0/bin/../lib/python/xen/__init__module.so", O_RDONLY) = -1 ENOENT (No such file or directory)
stat("/usr/lib/xen-4.0/bin/../lib/python/xen/xend/__init__", 0x7fff06a69560) = -1 ENOENT (No such file or directory)
open("/usr/lib/xen-4.0/bin/../lib/python/xen/xend/__init__.so", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/lib/xen-4.0/bin/../lib/python/xen/xend/__init__module.so", O_RDONLY) = -1 ENOENT (No such file or directory)
stat("/usr/lib/xen-4.0/bin/../lib/python/xen/xend/server/__init__", 0x7fff06a69560) = -1 ENOENT (No such file or directory)
open("/usr/lib/xen-4.0/bin/../lib/python/xen/xend/server/__init__.so", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/lib/xen-4.0/bin/../lib/python/xen/xend/server/__init__module.so", O_RDONLY) = -1 ENOENT (No such file or directory)
stat("/usr/lib/xen-4.0/bin/../lib/python/xen/xend/server/SrvDaemon", 0x7fff06a6a5a0) = -1 ENOENT (No such file or directory)
open("/usr/lib/xen-4.0/bin/../lib/python/xen/xend/server/SrvDaemon.so", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/lib/xen-4.0/bin/../lib/python/xen/xend/server/SrvDaemonmodule.so", O_RDONLY) = -1 ENOENT (No such file or directory)
....
 


freenetMail mobil – Alle E-Mails auf Ihrem Handy versenden und empfangen.
Jetzt kinderleicht und kostenlos einrichten. Hier informieren!
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#591456; Package xen-utils-common. (Tue, 03 Aug 2010 14:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gregory Fardel <gregory@fardel.net>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Tue, 03 Aug 2010 14:03:03 GMT) Full text and rfc822 format available.

Message #15 received at 591456@bugs.debian.org (full text, mbox):

From: Gregory Fardel <gregory@fardel.net>
To: 591456@bugs.debian.org
Date: Tue, 03 Aug 2010 16:02:08 +0200
[Message part 1 (text/plain, inline)]
I changed the suggested line in /etc/xen/xend-config.sxp configuration file, but the errors about the file hotplugpath.sh are still present.


root@eliott:~# /etc/init.d/xend start
Starting Xen daemons: xenstored xenconsoled xend/etc/xen/scripts/network-route: line 20: /etc/xen/scripts/hotplugpath.sh: No such file or directory
/etc/xen/scripts/network-route: line 20: /etc/xen/scripts/hotplugpath.sh: No such file or directory
/etc/xen/scripts/network-route: line 20: /etc/xen/scripts/hotplugpath.sh: No such file or directory
.
root@eliott:~#

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#591456; Package xen-utils-common. (Tue, 03 Aug 2010 14:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to ralfheise@freenet.de:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Tue, 03 Aug 2010 14:51:03 GMT) Full text and rfc822 format available.

Message #20 received at 591456@bugs.debian.org (full text, mbox):

From: ralfheise@freenet.de
To: 591456@bugs.debian.org
Subject: xen-utils-common: The script hotplugpath.sh is missing in /etc/xen/scripts
Date: Tue, 03 Aug 2010 16:47:17 +0200
[Message part 1 (text/plain, inline)]
Yes, you might also need to comment out the appropriate line in /etc/xen/scripts/network-route.
 
#. "$dir/hotplugpath.sh"
 
It's not required to start xend in a routed network environment. However I don't know if there are side effects by commenting this out afterwards. In Xen 3 this script is not present though.
 
This doesn't affect the bug report as reported by you itself and is still valid. My problem from above was because of an ambiguous line for xen relocation, no error was reported through xend though.


freenetMail - Der zuverlässige E-Mail-Dienst von freenet.de
Jetzt kostenlose E-Mail-Adresse mit 1 GB Speicher und Profi-Spamschutz sichern!
Sofort anmelden!
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#591456; Package xen-utils-common. (Wed, 25 Aug 2010 08:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Valentin Vidic <Valentin.Vidic@CARNet.hr>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Wed, 25 Aug 2010 08:48:05 GMT) Full text and rfc822 format available.

Message #25 received at 591456@bugs.debian.org (full text, mbox):

From: Valentin Vidic <Valentin.Vidic@CARNet.hr>
To: 591456@bugs.debian.org
Subject: xen-utils-common: The script hotplugpath.sh is missing in /etc/xen/scripts
Date: Wed, 25 Aug 2010 10:44:31 +0200
[Message part 1 (text/plain, inline)]
hotplugpath.sh file is autogenerated in xen-common 4.0.0, hence the
attached patch for debian/rules.

-- 
Valentin
[rules.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#591456; Package xen-utils-common. (Mon, 22 Nov 2010 19:30:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Rippl, Steve" <rippls@woodlandschools.org>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Mon, 22 Nov 2010 19:30:08 GMT) Full text and rfc822 format available.

Message #30 received at 591456@bugs.debian.org (full text, mbox):

From: "Rippl, Steve" <rippls@woodlandschools.org>
To: 591456@bugs.debian.org
Subject: xen-utils-common: The script hotplugpath.sh is missing in /etc/xen/scripts
Date: Mon, 22 Nov 2010 11:27:23 -0800
[Message part 1 (text/plain, inline)]
Is there a fix for this in the works/coming for squeeze or do I have to
patch the package myself?  If so, how?

Thanks, a grateful Debian user that hasn't patched packages yet!

Steve
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#591456; Package xen-utils-common. (Thu, 16 Dec 2010 22:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niccolò Belli <darkbasic4@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Thu, 16 Dec 2010 22:54:05 GMT) Full text and rfc822 format available.

Message #35 received at 591456@bugs.debian.org (full text, mbox):

From: Niccolò Belli <darkbasic4@gmail.com>
To: 591456@bugs.debian.org
Subject: xen-utils-common: The script hotplugpath.sh is missing in /etc/xen/scripts
Date: Thu, 16 Dec 2010 23:52:03 +0100
[Message part 1 (text/plain, inline)]
Valentin Vidic <Valentin.Vidic@CARNet.hr> Wed, 25 Aug 2010 10:44:31
>hotplugpath.sh file is autogenerated in xen-common 4.0.0, hence the
>attached patch for debian/rules.

Squeeze xen package has not been fixed and so network routing does not
still work. Please apply tha attached patch:

diff -ur orig/xen-common-4.0.0/debian/rules xen-common-4.0.0/debian/rules
--- orig/xen-common-4.0.0/debian/rules  2010-03-01 22:03:38.000000000 +0100
+++ xen-common-4.0.0/debian/rules       2010-08-24 14:42:05.000000000 +0200
@@ -60,6 +60,7 @@
        dh_testroot
        dh_prep
        $(MAKE) -C $(BUILD_DIR)/tools/examples install-configs
+       $(MAKE) -C $(BUILD_DIR)/tools/hotplug/common install-scripts
        $(MAKE) -C $(BUILD_DIR)/tools/hotplug/Linux install-udev
install-scripts UDEV_RULES_DIR=/lib/udev/rules.d
        $(MAKE) -C $(BUILD_DIR)/scripts install
[rules.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#591456; Package xen-utils-common. (Thu, 10 Feb 2011 08:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henrik Langos <hlangos-debian@innominate.com>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Thu, 10 Feb 2011 08:03:03 GMT) Full text and rfc822 format available.

Message #40 received at 591456@bugs.debian.org (full text, mbox):

From: Henrik Langos <hlangos-debian@innominate.com>
To: 591456@bugs.debian.org
Subject: Further effects of missing hotplugpath.sh [Re: squeeze: xen 4.0.1-2 + drbd8-utils: block-drbd script does no longer work?!]
Date: Thu, 10 Feb 2011 08:50:00 +0100
[Message part 1 (text/plain, inline)]
FYI: This bug also breaks user supplied scripts (/etc/xen/scripts/block-*)
that are needed to handle block device mounting other than "phy:" and "file:"
disks.

See attached email from debian-user mailing list.

cheers
-henrik

[Message part 2 (message/rfc822, inline)]
From: Henrik Langos <hlangos-debian@innominate.com>
To: bruno@voigt.tv
Cc: debian-user@lists.debian.org
Subject: Re: squeeze: xen 4.0.1-2 + drbd8-utils: block-drbd script does no longer work?!
Date: Tue, 8 Feb 2011 12:42:04 +0100
Just upgraded from Lenny to Squeeze and ran into the same problem 
with my block-iscsi script:

> # xm create foo.example.com.cfg
> Using config file "/etc/xen/foo.example.com.cfg".
> Error: Device 2049 (vbd) could not be connected. Hotplug scripts not working.

I tried to call my script directly in order to figure out what was going wrong:

xenhost04:/etc/xen/scripts# ./block-iscsi
./xen-hotplug-common.sh: line 20: ./hotplugpath.sh: No such file or directory

Apparently /etc/xen/scripts/block-common.sh includes 

> dir=$(dirname "$0")
> . "$dir/xen-hotplug-common.sh"

and xen-hotplug-common.sh is to blame.

There is no hotplugpath.sh int /etc/xen/scripts or anywhere else on the system.

Where in xen-utils-common-3.2.0-2_all.deb it contained these lines:

> 
> dir=$(dirname "$0")
> . "$dir/logging.sh"
> . "$dir/xen-script-common.sh"
> . "$dir/locking.sh"
>

now in 4.0.0-1 it contains:

>
>dir=$(dirname "$0")
>. "$dir/hotplugpath.sh"
>. "$dir/logging.sh"
>. "$dir/xen-script-common.sh"
>. "$dir/locking.sh"
>

Apparently hotplugpath.sh has been omited during packaging and it seems 
that block device helper scripts are not the only victim.
There already is a bug about the impact on routing:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=591456

Does anybody care to add this information and upgrade that 
bug's severity?

cheers
-henrik



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#591456; Package xen-utils-common. (Mon, 14 Feb 2011 03:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Neil M." <nabber00@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Mon, 14 Feb 2011 03:06:03 GMT) Full text and rfc822 format available.


Message #45 received at 591456@bugs.debian.org (full text, mbox):

From: "Neil M." <nabber00@gmail.com>
To: 591456@bugs.debian.org
Date: Sun, 13 Feb 2011 21:53:26 -0500
Agreed, the severity should be bumped up on this, I spent many hours
after a lenny to squeeze upgrade figuring out what the problem was.  I
request that the previously attached patch (a simple one liner) be
applied for a squeeze update.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#591456; Package xen-utils-common. (Mon, 14 Feb 2011 09:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marius Ionel <webmaster@grupnet.ro>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Mon, 14 Feb 2011 09:42:03 GMT) Full text and rfc822 format available.

Message #50 received at 591456@bugs.debian.org (full text, mbox):

From: Marius Ionel <webmaster@grupnet.ro>
To: 591456@bugs.debian.org
Subject: (fără subiect)
Date: Mon, 14 Feb 2011 11:32:14 +0200
Agreed,

I have the the same problem after upgrading from Lenny to Squeeze and 
the only option for me is tu use routing networking for xen.

Among this there are another bug in /etc/xen/scripts/vif-common.sh which 
trigger a kernel error regarding routing for which exist a patch at 
http://xenbits.xensource.com/xen-unstable.hg?rev/b0fe8260cefa

This is very annoying because debian multimedia doesn't offer support 
for Lenny anymore and therefore I have to upgrade to Squeeze but Squeeze 
is still full of bugs, from my point of view.

Thank You





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#591456; Package xen-utils-common. (Mon, 14 Feb 2011 10:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marius Ionel <webmaster@grupnet.ro>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Mon, 14 Feb 2011 10:06:03 GMT) Full text and rfc822 format available.

Message #55 received at 591456@bugs.debian.org (full text, mbox):

From: Marius Ionel <webmaster@grupnet.ro>
To: 591456@bugs.debian.org
Subject: Appologies
Date: Mon, 14 Feb 2011 12:03:32 +0200
Me again

I've downloaded the xen source from thexen.org and browsing for 
hotplugpath.sh give me no result, so I guess is not a Debian bug but 
rather xen bug.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#591456; Package xen-utils-common. (Mon, 14 Feb 2011 10:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marius Ionel <webmaster@grupnet.ro>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Mon, 14 Feb 2011 10:24:03 GMT) Full text and rfc822 format available.

Message #60 received at 591456@bugs.debian.org (full text, mbox):

From: Marius Ionel <webmaster@grupnet.ro>
To: 591456@bugs.debian.org
Subject: Still a Debian bug
Date: Mon, 14 Feb 2011 12:21:26 +0200
Further investigation revealed that hotplugpath.sh is an autogenerated 
script so it's a Debian bug.

Thank You




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#591456; Package xen-utils-common. (Tue, 08 Mar 2011 13:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niccolò Belli <darkbasic4@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Tue, 08 Mar 2011 13:21:02 GMT) Full text and rfc822 format available.

Message #65 received at 591456@bugs.debian.org (full text, mbox):

From: Niccolò Belli <darkbasic4@gmail.com>
To: 591456@bugs.debian.org
Subject: Re: [Pkg-xen-devel] Bug#591456: xen-utils-common: The script hotplugpath.sh is missing in /etc/xen/scripts
Date: Tue, 08 Mar 2011 14:18:50 +0100
As nobody seems interest in this bug report, here is an updated package
if someone needs it: http://www.mediafire.com/?5w83446d4gt8r6a

Darkbasic




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#591456; Package xen-utils-common. (Thu, 10 Mar 2011 19:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to jesse <thoughtafter@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Thu, 10 Mar 2011 19:51:05 GMT) Full text and rfc822 format available.

Message #70 received at 591456@bugs.debian.org (full text, mbox):

From: jesse <thoughtafter@gmail.com>
To: 591456@bugs.debian.org
Subject: seconded
Date: Thu, 10 Mar 2011 11:49:59 -0800
> Agreed, the severity should be bumped up on this, I spent many hours
> after a lenny to squeeze upgrade figuring out what the problem was.  I
> request that the previously attached patch (a simple one liner) be
> applied for a squeeze update.

Also agreed.  It's disappointing to see that Xen is so buggy in Squeeze.
 The sooner these bugs get fixed the sooner people can start updating
production Xen servers to Squeeze.




Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. (Wed, 23 Mar 2011 23:12:07 GMT) Full text and rfc822 format available.

Notification sent to Gregory Fardel <gregory@fardel.net>:
Bug acknowledged by developer. (Wed, 23 Mar 2011 23:12:07 GMT) Full text and rfc822 format available.

Message #75 received at 591456-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 591456-close@bugs.debian.org
Subject: Bug#591456: fixed in xen-common 4.1.0~rc6-1
Date: Wed, 23 Mar 2011 23:08:09 +0000
Source: xen-common
Source-Version: 4.1.0~rc6-1

We believe that the bug you reported is fixed in the latest version of
xen-common, which is due to be installed in the Debian FTP archive:

xen-common_4.1.0~rc6-1.debian.tar.gz
  to main/x/xen-common/xen-common_4.1.0~rc6-1.debian.tar.gz
xen-common_4.1.0~rc6-1.dsc
  to main/x/xen-common/xen-common_4.1.0~rc6-1.dsc
xen-common_4.1.0~rc6.orig.tar.gz
  to main/x/xen-common/xen-common_4.1.0~rc6.orig.tar.gz
xen-utils-common_4.1.0~rc6-1_all.deb
  to main/x/xen-common/xen-utils-common_4.1.0~rc6-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 591456@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated xen-common package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 23 Mar 2011 10:47:52 +0100
Source: xen-common
Binary: xen-utils-common
Architecture: source all
Version: 4.1.0~rc6-1
Distribution: unstable
Urgency: low
Maintainer: Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 xen-utils-common - XEN administrative tools - common files
Closes: 591456
Changes: 
 xen-common (4.1.0~rc6-1) unstable; urgency=low
 .
   * New upstream release candidate.
   * Use /var/run for xenstored db.
   * Install common hotplug scripts. (closes: #591456)
   * Install xl config and cpupool example.
   * Install xl wrapper.
Checksums-Sha1: 
 012c146aa9283550e9db74c05368db29b3bfb395 1166 xen-common_4.1.0~rc6-1.dsc
 26def2a1cbd9423e5bf02a57b854b529c0c2c50b 142277 xen-common_4.1.0~rc6.orig.tar.gz
 6d898f7f11ebb360ce4ed7d38fe1d080cd8938fc 18552 xen-common_4.1.0~rc6-1.debian.tar.gz
 90ecbad2fdd66c2727e17771e3820f29d9a238d9 155384 xen-utils-common_4.1.0~rc6-1_all.deb
Checksums-Sha256: 
 f188b885ea07c1138bafa8c94994f1196566e4805b7eab83e69dc5a5ec807f08 1166 xen-common_4.1.0~rc6-1.dsc
 27511056c974ccfc3b3b666177bfef5335aca4a20fe9b168578ebfc0720173b7 142277 xen-common_4.1.0~rc6.orig.tar.gz
 50186fc8ee1a360351a6d0efd1f6ed3e8aedd8bb10b41ed8914e03a65b1243e3 18552 xen-common_4.1.0~rc6-1.debian.tar.gz
 7956dd44ddea4107197172cace0f96c033a98d69f52e1d58286d53e78baf0a2a 155384 xen-utils-common_4.1.0~rc6-1_all.deb
Files: 
 4c37b3eaaa333d807aa1e3b5f27d573c 1166 kernel optional xen-common_4.1.0~rc6-1.dsc
 f2c53d231baf20be7604fda91efe306c 142277 kernel optional xen-common_4.1.0~rc6.orig.tar.gz
 65d452b3a60902ef288c2a3091863c42 18552 kernel optional xen-common_4.1.0~rc6-1.debian.tar.gz
 8fb0b893ae93c0ec2278fe02b8fcc9ea 155384 kernel optional xen-utils-common_4.1.0~rc6-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk2JwlQACgkQLkAIIn9ODhEC7wCgzcKxB8QICvxEiepC0fzzfSQP
pV0An114IwQD3UPjqfTRssxod77BTZU3
=9Zla
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 01 May 2011 07:37:23 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Wed, 09 Nov 2011 11:21:31 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>:
Bug#591456; Package xen-utils-common. (Wed, 09 Nov 2011 11:57:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Owen Dunn <osd1000@cam.ac.uk>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>. (Wed, 09 Nov 2011 11:57:24 GMT) Full text and rfc822 format available.

Message #84 received at 591456@bugs.debian.org (full text, mbox):

From: Owen Dunn <osd1000@cam.ac.uk>
To: 591456@bugs.debian.org
Subject: Include this in stable-proposed-updates
Date: Wed, 9 Nov 2011 11:30:58 +0000 (GMT)
Could this fix be included in a squeeze point release, i.e. uploaded to 
stable-proposed-updates, please?  I have a production server running lenny 
using the block-drbd scripts, which this bug breaks, so I can't really 
upgrade the server to squeeze until this problem is fixed.

Thanks,

Owen




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 08 Dec 2011 07:32:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 22:03:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.